PIP 1.0.0_rc3 Platform-Independent Primitives

Classes | Functions
pichar.h File Reference

Unicode char. More...

## Classes
class | PIChar
| Unicode char. More...

## Functions
PICout | operator<< (PICout s, const PIChar &v)
| Output operator to PICout.
bool | operator== (const char v, const PIChar &c)
| Compare operator.
bool | operator> (const char v, const PIChar &c)
| Compare operator.
bool | operator< (const char v, const PIChar &c)
| Compare operator.
bool | operator>= (const char v, const PIChar &c)
| Compare operator.
bool | operator<= (const char v, const PIChar &c)
| Compare operator.
bool | operator== (const char *v, const PIChar &c)
| Compare operator.
bool | operator> (const char *v, const PIChar &c)
| Compare operator.
bool | operator< (const char *v, const PIChar &c)
| Compare operator.
bool | operator>= (const char *v, const PIChar &c)
| Compare operator.
bool | operator<= (const char *v, const PIChar &c)
| Compare operator.
bool | operator== (const int v, const PIChar &c)
| Compare operator.
bool | operator> (const int v, const PIChar &c)
| Compare operator.
bool | operator< (const int v, const PIChar &c)
| Compare operator.
bool | operator>= (const int v, const PIChar &c)
| Compare operator.
bool | operator<= (const int v, const PIChar &c)
| Compare operator.

## Detailed Description

Unicode char.